Bug 979669 - Site layout with containers causes the import to fail
Site layout with containers causes the import to fail
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Linux
unspecified Severity medium
: ER03
: 6.1.0
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 06:11 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log. (38.74 KB, text/plain)
2013-06-29 06:11 EDT, Miroslav Cupák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3162 Major Resolved Site layout with containers causes the import to fail 2014-03-20 11:49:39 EDT

  None (edit)
Description Miroslav Cupák 2013-06-29 06:11:37 EDT
Created attachment 766803 [details]
Server log.

Description of problem:
When using a site layout in which the portal page is placed inside a container, the site can be exported, but such export cannot be imported through the Site Redirects and Export/Import portlet again. Such layout generates a <page-body> element inside a <container> element in site's portal.xml file during export, which causes the following exception when the data is read during import:

org.gatein.management.api.exceptions.OperationException: Exception reading data for import.
...
Caused by: org.staxnav.StaxNavException: Unexpected element 'page-body' at [row,col]:[77,16]                            
...

Steps to Reproduce:
1. Start the portal, sign in as root.
2. Go to Site > Manage Sites.
3. Choose e.g. the Classic portal and click Edit Layout.
4. Switch to the containers tab in the composer window and drag e.g. a two column layout to the page. 5. Place the Portal Page in the container and save.
6. Export the site, e.g. via GET /mop.zip?filter=site-type:!user,group.
7. Go to Group > Administration > Site Redirects and Export/Import > Import Site/Space.
8. Select your exported file and an arbitrary import strategy (e.g. Conserve) and click Import.

Actual results:
Import fails and an exception is visible in the server log.

Expected results:
The data is imported successfully.

Note You need to log in before you can comment on or make changes to this bug.